## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global forgeurl https://github.com/esa/pagmo2
Version:        2.19.0
%forgemeta

Name:           pagmo2
Release:        %autorelease
Summary:        A C++ platform to perform parallel computations of optimisation tasks
License:        LGPL-3.0-or-later OR GPL-3.0-or-later
URL:            %{forgeurl}
Source0:        %{forgesource}

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build
BuildRequires:  eigen3-devel
BuildRequires:  tbb-devel
BuildRequires:  boost-devel
BuildRequires:  pkgconfig(nlopt)
%ifnarch %{ix86}
BuildRequires:  pkgconfig(ipopt)
%endif

%description
pagmo is a C++ scientific library for massively parallel optimization. It is
built around the idea of providing a unified interface to optimization
algorithms and to optimization problems and to make their deployment in
massively parallel environments easy.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains development files for %{name}.

%prep
%forgeautosetup -p1

%build
%cmake \
    -GNinja \
    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
    -DPAGMO_BUILD_TESTS=ON \
    -DPAGMO_WITH_EIGEN3=ON \
    -DPAGMO_WITH_NLOPT=ON \
%ifnarch %{ix86}
    -DPAGMO_WITH_IPOPT=ON \
%endif
    -DPAGMO_ENABLE_IPO=ON \

%cmake_build

%install
%cmake_install

%check
%ctest

%files
%license COPYING.gpl3 COPYING.lgpl3
%doc README.md
%{_libdir}/libpagmo.so.9*

%files devel
%{_libdir}/libpagmo.so
%{_includedir}/pagmo/
%{_libdir}/cmake/pagmo/

%changelog
* Wed Jul 24 2024 topazus <topazus@outlook.com> 2.19.0-4
- Fix incorrect expression condition

* Wed Jul 24 2024 topazus <topazus@outlook.com> 2.19.0-3
- Ipopt is not built on i686

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> 2.19.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Feb 08 2024 topazus <topazus@outlook.com> 2.19.0-1
- initial import; rhbz#2263205
